package com.gz.service.system;

import com.github.pagehelper.PageInfo;
import com.gz.dto.system.AdminDTO;
import com.gz.vo.system.AdminVO;

public interface AdminService {

    /**
     * @description 增
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    public Integer insert(AdminDTO adminDTO);

    /**
     * @description 删
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    public Integer delete(Integer id);

    /**
     * @description 改
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    public Integer update(AdminDTO adminDTO);

    /**
     * @description 查(给分页参数查分页 没给查全部)
     * @author LiuChangLan
     * @since 2020/9/4 14:46
     */
    public PageInfo<AdminDTO> select(AdminVO adminVO);

    /**
     * @description
     * @author LiuChangLan
     * @since 2020/9/4 15:05
     */
    public AdminDTO selectByPrimaryKey(Integer id);

    /**
     * @description 修改状态
     * @author LiuChangLan
     * @since 2020/9/22 11:38
     */
    Integer updateStatus(Integer id);

    /**
     * @description 重置密码
     * @author LiuChangLan
     * @since 2021/2/19 17:13
     */
    Integer resetPassword(Integer id);
}
